#### PropertySet

Set a context property.

Syntax: `\property` context`.`prop`=` scheme-val.

Music types: layout-instruction and general-music

Accepted by: Output_property_engraver, Swallow_engraver and Swallow_performer

Properties:

`name` (symbol):
  `'PropertySet`

  Name of this music object

`internal-class-name` (string):
  `Music`

  C++ class to use for this Music object

`types` (list):
  `'(layout-instruction general-music)`

  The types of this music object; determines by what engraver this music expression is processed.

`iterator-ctor` (procedure):
  `Property_iterator::constructor`

  Function to construct music-event-iterator object for this Music

Read comments on this page, or add one. This page is for LilyPond-2.2.2 (stable-branch).